ROTATE(1)

NAME
rotate - Rotate, mirror, and transpose JPEG images (losslessly whenever possible)

SYNOPSIS
rotate { options } file [ file ... ]

DESCRIPTION
rotate is a convenience frontend to jpegtran, allowing JPEG images to be rotated, mirrored, or transposed in several ways. These operations are conducted losslessly (i.e., no image recompression) and keep all EXIF metadata intact.

OPTIONS

-f, -flip, --flip {horizontal | vertical}
    horizontal: Mirror image horizontally (left-right).
    vertical : Mirror image vertically (top-bottom).

-r, -rotate, --rotate {90 | 180 | 270}
    90 : Rotate image 90 degrees clockwise.
    180: Rotate image 180 degrees.
    270: Rotate image 270 degrees clockwise (or 90 ccw).

-tp, -transpose, --transpose
    Transpose image (across UL-to-LR axis).

-tv, -transverse, --transverse]
    Transverse transpose (across UR-to-LL axis).

SEE ALSO
jpegtran(1)

AUTHOR
rotate is distributed as a component of jigl, written by Jason Paul <jigl@xome.net>. Its project page is located at http://xome.net/projects/jigl/.

This manual page was adapted from the program help text by Nicholas Breen <nbreen@ofb.net> for the Debian project (but may be used by others).